/*
 * Licensed Materials - Property of IBM
 * com.ibm.ws.ast.samples
 *  Copyright IBM Corporation 2010. All Rights Reserved.
 * U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * Use restricted, please refer to the "Samples Gallery" terms and conditions in the IBM International Program License Agreement.   
 */
package bigbank.accountdata;

/**
 * An account service implementation for a checking account
 */
public class CheckingAccount implements Account {
    private String accountNumber;
    private double balance;

    public String getAccountNumber() { return accountNumber; }
    public void setAccountNumber(String n) { this.accountNumber = n; }

    public double getBalance() { return balance; }
    public void setBalance(double b) { this.balance = b; }

    public String getSummary() { return "ID:" + accountNumber + ", balance:" + balance; }
}
