/*
 * Licensed Materials - Property of IBM
 * com.ibm.ws.ast.samples
 *  Copyright IBM Corporation 2011. All Rights Reserved.
 * U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * Use restricted, please refer to the "Samples Gallery" terms and conditions in the IBM International Program License Agreement.
 */

package com.ibm.servlets;

import java.io.IOException;

import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.ibm.test.beans.TestBean;

/**
 * Servlet implementation class TestEjbInWarsServlet
 */
@WebServlet("/TestEjbInWarsServlet")
public class TestEjbInWarsServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
	@EJB
    private  TestBean  bean;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public TestEjbInWarsServlet() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		response.getWriter().println("Testing EJBs in WARs!!");
		response.getWriter().println("<br/> " +  bean.beanmethod());
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
	}

}
